<?xml version="1.0" encoding="UTF-8"?>
<root>

 <data  objname="定时任务" objunit="个">
  
 <ondelete>
   <inuse cfield="id" 
    sql="select count(*) from smstasks where def=1 and id='{id}'"
    msg="出厂设置不能删除!"/>

 </ondelete>

  <!-- 主数据表的SQL语句  -->
  <sql>
select * from smstasks 
</sql>
  
  <!-- 主数据表的字段描述  -->
  <fields table="smstasks" key="id" name="name">

   <id dname="编号" edit="TextEdit" required="true" width="60" 
    editing="false" inserting="true"
    footerkind="skCount" footerformat="总计(0)"/>

   <name dname="名称" edit="TextEdit" required="true" width="140"/>

   <dtype dname="定时类型" width="80"/>

   <dmask dname="发送日期" width="80"/>

   <sendtime dname="发送时间" width="80"/>
   

   <msg dname="短信内容" readonly="true" width="160"/>
   
   <stop dname="启用" edit="CheckBox" checked="0" unchecked="1" width="35" footerkind="skSum" footerformat="0"/>

   <note dname="备注" edit="Memo" width="100"/> 
     </fields>
  
 </data>
 
 <!-- 工具条 没有列出的节点,在工具条上不可见 -->
 <toolbar>
  
  <!-- 增加记录 -->
  <add/>
  
  <!-- 修改记录 -->
  <modify/>
  
  <!-- 删除记录 -->
  <delete/>
  
  <!-- 刷新 -->
  <refresh/>
      
  <!-- 打印数据 -->
  <print/>

  <!-- 导出数据 -->
  <export/>
  
  
 </toolbar>

 
 <!-- 主数据网格 -->
 <dbgrid title=""  autowith="true" bandheaders="false" >
  
  <!-- 主数据网格参数 editing:只否可编辑  -->
  <options editing="false"/>
  <band caption="定时任务" fixedkind="none" visible="true" moving="true" sizing="true"/>
 </dbgrid>

 
</root>
